classification
Title: sporadic failure in test_concurrent_futures
Type: behavior Stage:
Components: Library (Lib), Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: bquinlan Nosy List: bquinlan, pitrou, python-dev, vstinner
Priority: normal Keywords:

Created on 2011-04-18 00:12 by pitrou, last changed 2011-05-30 13:30 by bquinlan. This issue is now closed.

Messages (3)
msg133945 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-04-18 00:12
Happened on a buildbot:
http://www.python.org/dev/buildbot/all/builders/x86%20Windows7%203.x/builds/2957/steps/test/logs/stdio

test test_concurrent_futures failed -- Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\test_concurrent_futures.py", line 276, in test_timeout
    future1]), finished)
AssertionError: Items in the first set but not the second:
<Future at 0xb802dc8 state=running>
msg134137 - (view) Author: Brian Quinlan (bquinlan) * (Python committer) Date: 2011-04-20 10:52
It looks like the timing is too sensitive.
msg137263 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-05-30 13:26
New changeset 7e99da22c26d by Brian Quinlan in branch 'default':
Increases some test timeouts to fix issue 11864.
http://hg.python.org/cpython/rev/7e99da22c26d
History
Date User Action Args
2011-05-30 13:30:50bquinlansetstatus: open -> closed
resolution: fixed
2011-05-30 13:26:13python-devsetnosy: + python-dev
messages: + msg137263
2011-04-20 12:01:40vstinnersetnosy: + vstinner
2011-04-20 10:52:42bquinlansetassignee: bquinlan
messages: + msg134137
2011-04-18 00:12:52pitroucreate